/**
* SAMPLE SCRIPT (NOT USED IN CURRENT IMPLEMENTATION).
* 
* This script is not used by current flow implementation, but it's been left here
* for training purposes. The script shows how to modify an inbound property 
* using JavaScript (in this case the "soapaction" property).
* 
* To test this script, uncomment the "<scripting:component>" element in the XML flow,
* and check content of the "JS parsed action" logger label on STDOUT.
*
* Mule scripting reference:
* https://developer.mulesoft.com/docs/display/current/Scripting+Module+Reference
*/ 

var leadingName = "JavaScript - ";

//Keep for testing or debug: allows message JS API inspection
//for (k in message) log.info(leadingName + "message[" + k + "] = " + message[k]);
//log.info(leadingName + "Inbound properties names: " + message.getInboundPropertyNames());

/**
* Simple function removing begin and end quotes from soap actions.
* Notice that in Mule we get the Ascii code (34) instead of the char '"'.
*/
function stripEndQuotes(s){
	var t = s.length();
	if (s.charAt(0)   == 34) s = s.substring(1, t--);
	if (s.charAt(--t) == 34) s = s.substring(0, t);
	return s;
}

var soapAction 	= message.getInboundProperty("soapaction");
var parsed 		= stripEndQuotes(soapAction);
message.setInboundProperty("parsedaction", parsed);

//log.info(leadingName + "Original Soap Action: " + soapAction);
//log.info(leadingName + "Parsed   Soap Action: " + parsed);

result = message;